## yorick-spydr 0.7.7

=== Makefile ===
# these values filled in by    yorick -batch make.i
Y_MAKEDIR=/usr/lib/yorick
Y_EXE=/usr/lib/yorick/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/usr/lib/yorick
Y_EXE_SITE=/usr/lib/yorick

# 
# !! THIS IS NOT A PLUGIN !!
# This is a package made of several interpreted 
# include file. This makefile is just used to install,
# uninstall it or build the distribution tar file.

# ------------------------------------------------ macros for this package

# used for distribution
PKG_NAME = spydr
# include files for this package
PKG_I=spydr.i spydr_plugins.i spydr_psffit.i spydr_various.i spydr_pyk.i
# autoload file for this package, if any
PKG_I_START=spydr_start.i

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

DEST_Y_SITE=$(DESTDIR)$(Y_SITE)
DEST_Y_HOME=$(DESTDIR)$(Y_HOME)
DEST_Y_BINDIR=$(DEST_Y_HOME)/bin

# ------------------------------------- targets and rules for this package

build:
	@echo "Nothing to build. This is not a plugin"
	@echo "other targets: install, uninstall, clean"
	@echo "for maintainers: package, distpkg"

clean::
	-rm -rf pkg

install::
	mkdir -p $(DEST_Y_SITE)/python
	mkdir -p $(DEST_Y_SITE)/glade
	mkdir -p $(DEST_Y_SITE)/g
	mkdir -p $(DEST_Y_SITE)/gist
	mkdir -p $(DEST_Y_SITE)/share/spydr
	mkdir -p $(DEST_Y_BINDIR)
	cp -p $(PKG_I) $(DEST_Y_SITE)/i/
	cp -p spydr.py $(DEST_Y_SITE)/python/
	cp -p spydr.glade $(DEST_Y_SITE)/glade/
	cp -p spydr*.gs $(DEST_Y_SITE)/g/
	cp -p spydr*.gs $(DEST_Y_SITE)/gist/
	cp -p spydr.conf $(DEST_Y_SITE)/share/spydr/
	cp -p LICENSE $(DEST_Y_SITE)/share/spydr/
	cp -p README $(DEST_Y_SITE)/share/spydr/
	cp -p test3.fits $(DEST_Y_SITE)/share/spydr/
	cp -p spydr $(DEST_Y_BINDIR)/

uninstall::
	-cd $(DEST_Y_SITE)/i; rm $(PKG_I) 
	-rm $(DEST_Y_SITE)/python/spydr.py
	-rm $(DEST_Y_SITE)/glade/spydr.glade
	-rm $(DEST_Y_SITE)/g/spydr*.gs
	-rm $(DEST_Y_SITE)/gist/spydr*.gs
	-rm -rf $(DEST_Y_SITE)/share/spydr
	-rm $(DEST_Y_BINDIR)/spydr

# -------------------------------------------- package build rules


PKG_VERSION = $(shell (awk '{if ($$1=="Version:") print $$2}' $(PKG_NAME).info))
# .info might not exist, in which case he line above will exit in error.

# packages or devel_pkgs:
PKG_DEST_URL = packages

package:
	mkdir -p pkg/$(PKG_NAME)/dist/y_site/i
	mkdir -p pkg/$(PKG_NAME)/dist/y_site/python
	mkdir -p pkg/$(PKG_NAME)/dist/y_site/glade
	mkdir -p pkg/$(PKG_NAME)/dist/y_site/g
	mkdir -p pkg/$(PKG_NAME)/dist/y_site/gist
	mkdir -p pkg/$(PKG_NAME)/dist/y_home/i-start
	mkdir -p pkg/$(PKG_NAME)/dist/y_site/share/spydr
	mkdir -p pkg/$(PKG_NAME)/dist/y_home/bin

	cp -p $(PKG_I) pkg/$(PKG_NAME)/dist/y_site/i/
	cp -p spydr.py pkg/$(PKG_NAME)/dist/y_site/python/
	cp -p spydr.glade pkg/$(PKG_NAME)/dist/y_site/glade/
	cp -p *.gs pkg/$(PKG_NAME)/dist/y_site/g/
	cp -p *.gs pkg/$(PKG_NAME)/dist/y_site/gist/
	cp -p spydr.conf pkg/$(PKG_NAME)/dist/y_site/share/spydr/
	cp -p LICENSE pkg/$(PKG_NAME)/dist/y_site/share/spydr/
	cp -p README pkg/$(PKG_NAME)/dist/y_site/share/spydr/
	cp -p test3.fits pkg/$(PKG_NAME)/dist/y_site/share/spydr/
	cp -p spydr pkg/$(PKG_NAME)/dist/y_home/bin/
	cd pkg/$(PKG_NAME)/dist/y_site/i/; if test -f "check.i"; then rm check.i; fi
	if test -f "check.i"; then cp -p check.i pkg/$(PKG_NAME)/.; fi
	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) \
	  pkg/$(PKG_NAME)/dist/y_home/i-start/; fi
	cp -p $(PKG_NAME).info pkg/$(PKG_NAME)/$(PKG_NAME).info
	cd pkg; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-pkg.tgz $(PKG_NAME)

distbin: package
#tarball there
	if test -f "pkg/$(PKG_NAME)-$(PKG_VERSION)-pkg.tgz" ; then \
	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/packages/tarballs/ \
	  pkg/$(PKG_NAME)-$(PKG_VERSION)-pkg.tgz; fi
#info files in each architecture directory
	if test -f "pkg/$(PKG_NAME)/$(PKG_NAME).info" ; then \
		ncftpput -f $(HOME)/.ncftp/maumae www/yorick/packages/darwin-ppc/info/ \
		pkg/$(PKG_NAME)/$(PKG_NAME).info; fi
	if test -f "pkg/$(PKG_NAME)/$(PKG_NAME).info" ; then \
		ncftpput -f $(HOME)/.ncftp/maumae www/yorick/packages/darwin-i386/info/ \
		pkg/$(PKG_NAME)/$(PKG_NAME).info; fi
	if test -f "pkg/$(PKG_NAME)/$(PKG_NAME).info" ; then \
		ncftpput -f $(HOME)/.ncftp/maumae www/yorick/packages/linux-ppc/info/ \
		pkg/$(PKG_NAME)/$(PKG_NAME).info; fi
	if test -f "pkg/$(PKG_NAME)/$(PKG_NAME).info" ; then \
		ncftpput -f $(HOME)/.ncftp/maumae www/yorick/packages/linux-x86/info/ \
		pkg/$(PKG_NAME)/$(PKG_NAME).info; fi

distsrc:
	make clean; rm -rf pkg
	cd ..; tar --exclude pkg --exclude .svn --exclude CVS --exclude *.spec -zcvf \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/packages/src/ \
	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/contrib/ \
	   ../$(PKG_NAME)-$(PKG_VERSION)-src.tgz


# -------------------------------------------------------- end of Makefile

## yorick-spydr 0.8.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/lib/yorick
-Y_EXE=/usr/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick/2.1
+Y_EXE=/usr/lib/yorick/2.1/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick
-Y_EXE_SITE=/usr/lib/yorick
+Y_EXE_HOME=/usr/lib/yorick/2.1
+Y_EXE_SITE=/usr/share/yorick/2.1
 
 # 
 # !! THIS IS NOT A PLUGIN !!
@@ -42,11 +42,14 @@
 install::
 	mkdir -p $(DEST_Y_SITE)/python
 	mkdir -p $(DEST_Y_SITE)/glade
+	mkdir -p $(DEST_Y_SITE)/i
+	mkdir -p $(DEST_Y_SITE)/i-start
 	mkdir -p $(DEST_Y_SITE)/g
 	mkdir -p $(DEST_Y_SITE)/gist
 	mkdir -p $(DEST_Y_SITE)/share/spydr
 	mkdir -p $(DEST_Y_BINDIR)
 	cp -p $(PKG_I) $(DEST_Y_SITE)/i/
+	cp -p $(PKG_I_START) $(DEST_Y_SITE)/i-start/
 	cp -p spydr.py $(DEST_Y_SITE)/python/
 	cp -p spydr.glade $(DEST_Y_SITE)/glade/
 	cp -p spydr*.gs $(DEST_Y_SITE)/g/
@@ -59,6 +62,7 @@
 
 uninstall::
 	-cd $(DEST_Y_SITE)/i; rm $(PKG_I) 
+	-cd $(DEST_Y_SITE)/i-start; rm $(PKG_I_START) 
 	-rm $(DEST_Y_SITE)/python/spydr.py
 	-rm $(DEST_Y_SITE)/glade/spydr.glade
 	-rm $(DEST_Y_SITE)/g/spydr*.gs

=== debian/changelog ===
yorick-spydr (0.8.1-1) unstable; urgency=low

  * New upstream release
    + patch long_round applied
  * move to section "science"

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 21 Apr 2010 10:39:04 +0200

yorick-spydr (0.8.0-2) unstable; urgency=low

  * change round() to long(round())

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 06 Apr 2010 18:15:49 +0200

yorick-spydr (0.8.0-1) unstable; urgency=low

  * New upstream release
    - test3.fits is not shipped anymore
  * Convert to 3.0 (quilt) format
  * Add watch file
  * Remove call to dh_desktop
  * Remove linda overrides
  * Check against policy 3.8.3

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sun, 29 Nov 2009 19:23:56 +0100

yorick-spydr (0.7.7-1) unstable; urgency=low

  * Initial release (closes: #460854).
    Thanks to François Rigaut for help in packaging.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 12 Feb 2008 18:07:13 +0100

=== debian/control ===
Source: yorick-spydr
Section: science
Priority: optional
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 5.0.0)
Build-Depends-Indep: yorick-dev (>= 2.1.05), imagemagick
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://www.maumae.net/yorick/doc/spydr_intro.php

Package: yorick-spydr
Architecture: all
Depends: yorick (>= 2.1.05), yorick-yutils (>= 1.3), yorick-yao,
 python-glade2, python, zenity (>=2.0),
 ${shlibs:Depends}, ${misc:Depends}
Description: FITS image display and simple analysis
 Spydr (pronounced like spider) basically is an FITS image viewer. It
 can work as a stand-alone application but is best integrated in a
 Yorick-based data-analysis work-flow (Yorick is an interpreted
 language specialized in numerical computations and scientific
 graphics). It includes tools to zoom, produce cuts, histograms,
 Gaussian/Moffat fits, PSF fits (inc. FWHM and Strehl). Can work on
 single images, sequences of images or data cubes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

Makefile.orig:
	dh_testdir
	cp Makefile Makefile.orig

configure: configure-stamp
configure-stamp: Makefile.orig
	dh_testdir
	yorick -batch make.i
	touch configure-stamp

build: build-stamp
build-stamp:  configure-stamp spydr32.xpm spydr48.png
	dh_testdir
	$(MAKE)
	touch build-stamp

spydr32.xpm:
	convert spydr.xpm -resize 32 spydr32.xpm

spydr48.png:
	convert spydr.xpm -crop +2-2 +repage  spydr48.png

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp spydr32.xpm spydr48.png
	make clean
	mv -f Makefile.orig Makefile
	dh_clean 

binary-arch: build
binary-indep: build
	dh_testdir
	dh_testroot
	dh_installyorick --no-make-install
	dh_installchangelogs changelog
	dh_installexamples
	dh_installdocs
	dh_installman
	dh_installmenu
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## yorick-spydr 0.8.2

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/lib/yorick/2.1
-Y_EXE=/usr/lib/yorick/2.1/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick/2.2
+Y_EXE=/usr/lib/yorick/2.2/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick/2.1
-Y_EXE_SITE=/usr/share/yorick/2.1
+Y_EXE_HOME=/usr/lib/yorick/2.2
+Y_EXE_SITE=/usr/share/yorick/2.2
 
 # 
 # !! THIS IS NOT A PLUGIN !!
@@ -16,7 +16,7 @@
 # used for distribution
 PKG_NAME = spydr
 # include files for this package
-PKG_I=spydr.i spydr_plugins.i spydr_psffit.i spydr_various.i spydr_pyk.i
+PKG_I=spydr.i spydr_plugins.i spydr_psffit.i spydr_various.i spydr_pyk.i spydr_input_data_format.i
 # autoload file for this package, if any
 PKG_I_START=spydr_start.i

=== debian/changelog ===
yorick-spydr (0.8.2-3) unstable; urgency=low

  * Hand over maintainance to debian-science team

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 29 Jun 2012 10:32:23 +0200

yorick-spydr (0.8.2-2) unstable; urgency=low

  * Amend debian/control to abide by Debian Science Policy
  * Updated copyright
  * Patch Makefile instead of running yorick -batch make.i
  * Simplfiy debian/rules with short dh notation

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 16:45:40 +0200

yorick-spydr (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Checked against policy 3.9.1

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 10 May 2011 15:54:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: yorick-spydr
 Section: science
-Priority: optional
-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 5.0.0)
+Priority: extra
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
+Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: yorick-dev (>= 2.1.05), imagemagick
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
+Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-spydr.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-spydr.git
 Homepage: http://www.maumae.net/yorick/doc/spydr_intro.php
 
 Package: yorick-spydr

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_installyorick --no-make-install

override_dh_auto_clean:
	rm -f build-stamp configure-stamp spydr32.xpm spydr48.png
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean

override_dh_auto_build:
	convert spydr.xpm -resize 32 spydr32.xpm
	convert spydr.xpm -crop +2-2 +repage  spydr48.png
	dh_auto_build

=== debian/watch ===
version=3
http://www.maumae.net/yorick/packages/src/spydr-(.*)-src\.tgz
